Bug 496895 - plymouth not hiding in some cases when / isn't getting mounted
plymouth not hiding in some cases when / isn't getting mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 11:15 EDT by Ray Strode [halfline]
Modified: 2010-01-12 10:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/init file that was failing silently (2.14 KB, text/plain)
2009-04-21 11:22 EDT, Owen Taylor
no flags Details

  None (edit)
Description Ray Strode [halfline] 2009-04-21 11:15:55 EDT
Owen has a raid setup that didn't get upgraded correctly (see bug 496390).  Upon rebooting he was left with an unbootable system and plymouth hiding the messages that were saying what was going wrong.

It turns out /sysroot wasn't getting mounted properly because of an error in the md configuration.

We *do* have:

mount /sysroot
cond -ne 0 plymouth --hide-splash

in the file, so maybe mount is returning a zero exit status even though it's failing? Or maybe plymouth is racing with the system panic?  Not sure.

Nevertheless, I think we should add:

plymouth quit 

after switchroot so we show messages no matter what.
Comment 1 Ray Strode [halfline] 2009-04-21 11:16:31 EDT
Owen would you mind attaching your /init file?
Comment 2 Owen Taylor 2009-04-21 11:22:24 EDT
Created attachment 340551 [details]
/init file that was failing silently

With this and the bad RAID configuration, there was a cascading chain of failures starting at the mdadm call, but I saw no messages (other than kernel messages) subsequent to the start of plymouthd.
Comment 3 Ray Strode [halfline] 2009-04-21 12:00:51 EDT
Oh thinking about this more, there's no way we can call plymouth quit after switchroot.  switchroot does and rm -rf / type thing.
Comment 4 Ray Strode [halfline] 2009-04-21 12:02:05 EDT
so i guess we need to figure out which of

1) if mount is returning 0 when it shouldn't
2) if cond isn't working
3) if plymouth --hide-splash isn't working (maybe racing with the panic that follows immediately after?)
Comment 5 Rolf Fokkens 2009-05-28 18:12:19 EDT
I think I have the same problem here. I removed rhgb from the kernel options in grub to get a detailed view of the boot progress. Since F11 however the echo's in initrd after the plymouth activation all disappeard.

This was inconvenient as a ran into Bug 503109.
Comment 6 Bug Zapper 2009-06-09 10:19:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Hans de Goede 2010-01-12 10:32:14 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.